Skip to main content
GET
List

Query Parameters

project
string
required

Project of the workflow execution

Response

object[] | null

OK

artifactId
string
required

UUID such as d1a2dfd5-1050-4538-8b29-ec254af2f7a4. It identifies the artifact which contains this artifact version. It is a hash of project / domain / execution / name / type.

bookmarked
boolean
required

Whether or not this artifact version is bookmarked

createdAt
string<date-time>
required

Time of execution creation, for the workflow execution which created this artifact version

execution
object
required

Workflow execution identifier

executionDetails
object
required

Workflow execution details

exports
object[] | null
required

List of exports of this artifact, such as exports-to-datasets

files
object[] | null
required

Map of filename to ArtifactFile

name
string
required
type
string
required

Type: report, data, model

userId
string
required

ID of the user who created the artifact

userName
string
required

Username of the user who created the artifact

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/ArtifactVersionExtendedDetails.json"

Last modified on August 19, 2026